Get Snippet Usage
curl --request GET \
--url https://api.promptlayer.com/prompt-templates/{identifier}/snippet-usage \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/prompt-templates/{identifier}/snippet-usage"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/prompt-templates/{identifier}/snippet-usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"snippet_name": "<string>",
"snippet_usage": [
{
"prompt_registry_id": 123,
"prompt_name": "<string>",
"version_numbers": [
123
]
}
],
"total_prompts_using_snippet": 123,
"label_usage": [
{
"prompt_registry_id": 123,
"prompt_name": "<string>",
"label_name": "<string>"
}
],
"total_labels_using_snippet": 123
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Prompt Templates
Get Snippet Usage
GET
/
prompt-templates
/
{identifier}
/
snippet-usage
Get Snippet Usage
Get all prompts that use a given snippet (prompt template). Returns a list of prompts and their version numbers that reference this snippet, as well as any release labels that reference it. The identifier can be either the prompt name or the prompt id.
Authorizations
Path Parameters
The identifier can be either the prompt name or the prompt id.
Query Parameters
Optional specific version number to check usage for
Response
Successful Response
The name of the snippet prompt template
List of prompts using this snippet
Show child attributes
Show child attributes
Total number of prompts using this snippet
List of labels using this snippet
Show child attributes
Show child attributes
Total number of labels using this snippet
Was this page helpful?

